# user.js | Fenix, Iceraven or Fennec F-Droid

I made this project to create something dedicated for Firefox for Android.
The `user.js` file is used to configure Firefox in the safest and fastest way possible.
To realize this project I was inspirated by various authors of `user.js` and I've implemented some preferences of mine.



## Aims:

* online security
* more privacy
* better performance
* less unique fingerprint possible



## Best Use:

This `user.js` has been designed for Mobile use and you can use on these browsers:

* [Firefox Fenix Nightly for Android](https://firefox-ci-tc.services.mozilla.com/tasks/index/mobile.v2.fenix.nightly.latest) - Mozilla-mobile
* [Iceraven browser](https://github.com/fork-maintainers/iceraven-browser) - Forks maintainers
* [Fennec F-Droid](https://f-droid.org/en/packages/org.mozilla.fennec_fdroid/) - F-Droid (out of date)



## Note:

This file contains prefs. that are not native to the Android version of Firefox, but I have chosen to add them to avoid that in the future they can be implemented by Mozilla without we can realize it.

All this does not lead into stability issues.



## Installation:

### **ROOT METHOD 1** *(file manager)*

✳️ I would like to suggest the use of [Amaze](https://f-droid.org/en/packages/com.amaze.filemanager/) or [TWRP File Manager](https://twrp.me/Devices/) before proceed.
- Download and install Fenix, Iceraven or Fennec F-Droid from the official websites.
- Start the browser for the first time (offline mode/no data connections) and wait about 5 sec.
- Close it.
- Clone or download zip file and extract it
- Locate Fennec's installation directory similar to this `data/data/org.mozilla(iceraven/Fenix)/files/mozilla/[xxxxxxx].default`
- Copy the extracted `user.js` file to the above installation directory.
- Delete `prefs.js` file inside the above directory
- Start Fennec F-Droid and test if `user.js` was applied :
 browse to `about:config` (put it in search bar) and look if `config.applied` is `true`.

If this doesn't work I suggest you to use the **ROOT METHOD 2** below.

### **ROOT METHOD 2** *(app)*

- Download and install the browser from the official websites.
- Download and install [User.js Updater](https://github.com/v1nc/user.js-updater/releases)
- Start Fennec for the first time (offline mode/no data connections) and wait about 5 sec.
- Close Fennec.
- Open `User.js Updater` app and grant storage permission.
- Tap `UPDATE` at the bottom and grant root permission.
- Start Fennec and test if `user.js` was applied :
  browse to `about:config` (put it in search bar) and look if `config.applied` is `true`.
 
- **AFWall+ USERS:** You can disable `Use Download Manager` option into `Settings` and enable data connection just to the app itself.

Thanks to [v1nc](https://github.com/v1nc/) for creating this app.



## Comparision:

You can also compare my `user.js` with the `user.js` from other authors [HERE](https://v1nc.github.io/comparison/).



## Thanks:

I really thanks all the authors who inspired me:

* [Quindencim](https://git.lelux.fi/quindecim/mobile_user.js)
* [gHacks](https://github.com/ghacksuserjs/ghacks-user.js)

## Special Thanks:

***